Bug 186632 - Review Request: svn2cl - Create a ChangeLog from a Subversion log
Review Request: svn2cl - Create a ChangeLog from a Subversion log
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-24 15:52 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-07 13:14:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-03-24 15:52:50 EST
http://cachalot.mine.nu/5/SRPMS/svn2cl-0.6-0.1.src.rpm

svn2cl is a simple xsl transformation and shellscript wrapper for
generating a classic GNU-style ChangeLog from a subversion repository
log.  It is made from several changelog-like scripts using common xslt
constructs found in different places.
Comment 1 Christopher Stone 2006-03-27 19:11:53 EST
Hi, can you please provide a link to a .spec file as well?  I know its contained
in the src.rpm, but it is a requirement to have links to both a .spec and
.src.rpm file.
Comment 2 Ville Skyttä 2006-03-28 00:32:53 EST
The separate specfile is redundant; the srpm must be checked by reviewers anyway.
Comment 3 John Mahowald 2006-04-07 03:01:17 EDT
- package meets naming guidelines
- package meets packaging guidelines
- license (BSD) OK
- spec file legible, in am. english
- source matches upstream
- package builds on devel (x86_64)
- no BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- works

APPROVED
Comment 4 Ville Skyttä 2006-04-07 13:14:07 EDT
Thanks, imported and built for devel, FE-5 will follow soon.
http://buildsys.fedoraproject.org/build-status/job.psp?uid=7351
Comment 5 Ville Skyttä 2007-09-08 08:49:46 EDT
Package Change Request
======================
Package Name: svn2cl
New Branches: EL-5
Comment 6 Kevin Fenzi 2007-09-09 18:40:03 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.